## rust-hickory-client 0.24.0

=== debian/changelog ===
rust-hickory-client (0.24.0-1) unstable; urgency=medium

  * Package hickory-client 0.24.0 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Fri, 19 Jan 2024 14:20:31 +0100
