=== debian/control ===
Source: rust-hickory-client
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.67.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-data-encoding-2+default-dev (>= 2.2.0-~~) <!nocheck>,
 librust-futures-channel-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
 librust-hickory-proto-0.24+text-parsing-dev <!nocheck>,
 librust-hickory-proto-0.24+tokio-runtime-dev <!nocheck>,
 librust-once-cell-1+default-dev (>= 1.18.0-~~) <!nocheck>,
 librust-radix-trie-0.2+default-dev <!nocheck>,
 librust-rand-0.8+default-dev <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.20-~~) <!nocheck>,
 librust-tokio-1+default-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+net-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+rt-dev (>= 1.21-~~) <!nocheck>,
 librust-tracing-0.1+default-dev (>= 0.1.30-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Alexander Kjäll <alexander.kjall@gmail.com>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/hickory-client]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/hickory-client
Homepage: https://hickory-dns.org/
X-Cargo-Crate: hickory-client
Rules-Requires-Root: no

Package: librust-hickory-client-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-1+default-dev,
 librust-data-encoding-2+default-dev (>= 2.2.0-~~),
 librust-futures-channel-0.3+std-dev (>= 0.3.5-~~),
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~),
 librust-hickory-proto-0.24+backtrace-dev,
 librust-hickory-proto-0.24+dns-over-https-dev,
 librust-hickory-proto-0.24+dns-over-https-rustls-dev,
 librust-hickory-proto-0.24+dns-over-native-tls-dev,
 librust-hickory-proto-0.24+dns-over-quic-dev,
 librust-hickory-proto-0.24+dns-over-rustls-dev,
 librust-hickory-proto-0.24+dnssec-dev,
 librust-hickory-proto-0.24+dnssec-openssl-dev,
 librust-hickory-proto-0.24+dnssec-ring-dev,
 librust-hickory-proto-0.24+mdns-dev,
 librust-hickory-proto-0.24+native-certs-dev,
 librust-hickory-proto-0.24+serde-config-dev,
 librust-hickory-proto-0.24+text-parsing-dev,
 librust-hickory-proto-0.24+tokio-runtime-dev,
 librust-once-cell-1+default-dev (>= 1.18.0-~~),
 librust-radix-trie-0.2+default-dev,
 librust-rand-0.8+default-dev,
 librust-rustls-0.21+default-dev (>= 0.21.6-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-thiserror-1+default-dev (>= 1.0.20-~~),
 librust-tokio-1+default-dev (>= 1.21-~~),
 librust-tokio-1+net-dev (>= 1.21-~~),
 librust-tokio-1+rt-dev (>= 1.21-~~),
 librust-tracing-0.1+default-dev (>= 0.1.30-~~)
Provides:
 librust-hickory-client+backtrace-dev (= ${binary:Version}),
 librust-hickory-client+default-dev (= ${binary:Version}),
 librust-hickory-client+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-client+dns-over-https-openssl-dev (= ${binary:Version}),
 librust-hickory-client+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-client+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-client+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-client+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-client+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-client+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-client+dnssec-dev (= ${binary:Version}),
 librust-hickory-client+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-client+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-client+mdns-dev (= ${binary:Version}),
 librust-hickory-client+native-certs-dev (= ${binary:Version}),
 librust-hickory-client+rustls-dev (= ${binary:Version}),
 librust-hickory-client+serde-dev (= ${binary:Version}),
 librust-hickory-client+serde-config-dev (= ${binary:Version}),
 librust-hickory-client-0-dev (= ${binary:Version}),
 librust-hickory-client-0+backtrace-dev (= ${binary:Version}),
 librust-hickory-client-0+default-dev (= ${binary:Version}),
 librust-hickory-client-0+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-client-0+dns-over-https-openssl-dev (= ${binary:Version}),
 librust-hickory-client-0+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-client-0+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-client-0+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-client-0+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-client-0+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-client-0+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-client-0+dnssec-dev (= ${binary:Version}),
 librust-hickory-client-0+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-client-0+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-client-0+mdns-dev (= ${binary:Version}),
 librust-hickory-client-0+native-certs-dev (= ${binary:Version}),
 librust-hickory-client-0+rustls-dev (= ${binary:Version}),
 librust-hickory-client-0+serde-dev (= ${binary:Version}),
 librust-hickory-client-0+serde-config-dev (= ${binary:Version}),
 librust-hickory-client-0.24-dev (= ${binary:Version}),
 librust-hickory-client-0.24+backtrace-dev (= ${binary:Version}),
 librust-hickory-client-0.24+default-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dns-over-https-openssl-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dnssec-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-client-0.24+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-client-0.24+mdns-dev (= ${binary:Version}),
 librust-hickory-client-0.24+native-certs-dev (= ${binary:Version}),
 librust-hickory-client-0.24+rustls-dev (= ${binary:Version}),
 librust-hickory-client-0.24+serde-dev (= ${binary:Version}),
 librust-hickory-client-0.24+serde-config-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+backtrace-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+default-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dns-over-https-openssl-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dns-over-native-tls-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dnssec-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+mdns-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+native-certs-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+rustls-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+serde-dev (= ${binary:Version}),
 librust-hickory-client-0.24.0+serde-config-dev (= ${binary:Version})
Description: Hickory DNS is a safe and secure DNS library - Rust source code
 This is the Client library with DNSSEC support.  DNSSEC with NSEC validation
 for negative records, is complete. The client supports  dynamic DNS with SIG0
 authenticated requests, implementing easy to use high level  funtions. Hickory
 DNS is based on the Tokio and Futures libraries, which means  it should be
 easily integrated into other software that also use those  libraries.
 .
 Source code for Debianized Rust crate "hickory-client"
