=== debian/control ===
--- 
+++ 
@@ -121,25 +121,25 @@
  librust-hickory-client-0.24+rustls-dev (= ${binary:Version}),
  librust-hickory-client-0.24+serde-dev (= ${binary:Version}),
  librust-hickory-client-0.24+serde-config-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+backtrace-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+default-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dns-over-https-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dns-over-https-openssl-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dns-over-https-rustls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dns-over-native-tls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dns-over-openssl-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dns-over-quic-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dns-over-rustls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dns-over-tls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dnssec-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dnssec-openssl-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+dnssec-ring-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+mdns-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+native-certs-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+rustls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+serde-dev (= ${binary:Version}),
- librust-hickory-client-0.24.0+serde-config-dev (= ${binary:Version})
+ librust-hickory-client-0.24.1-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+backtrace-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+default-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dns-over-https-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dns-over-https-openssl-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dns-over-https-rustls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dns-over-native-tls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dns-over-openssl-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dns-over-quic-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dns-over-rustls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dns-over-tls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dnssec-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dnssec-openssl-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+dnssec-ring-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+mdns-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+native-certs-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+rustls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+serde-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.1+serde-config-dev (= ${binary:Version})
 Description: Hickory DNS is a safe and secure DNS library - Rust source code
  This is the Client library with DNSSEC support.  DNSSEC with NSEC validation
  for negative records, is complete. The client supports  dynamic DNS with SIG0
