## rust-hickory-client 0.24.4

=== debian/changelog ===
rust-hickory-client (0.24.4-1) unstable; urgency=medium

  * Team upload.
  * Package hickory-client 0.24.4 from crates.io using debcargo 2.7.8
  * Drop backport-example.com-dns-fix.patch, applied upstream
  * Update disable-env-filter-and-webpki.patch to disable-webpki-roots.patch,
  since env-filter is now packaged
  * Relax rustls to 0.23
  * Adapt to Debian packaged rustls missing default feature

 -- Blair Noctis <ncts@debian.org>  Mon, 31 Mar 2025 16:08:30 +0000
