=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: rust-hickory-client
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
- cargo:native <!nocheck>,
- rustc:native (>= 1.67.0) <!nocheck>,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native <!nocheck>,
+ rustc:native (>= 1.71.1) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-cfg-if-1+default-dev <!nocheck>,
  librust-data-encoding-2+default-dev (>= 2.2.0-~~) <!nocheck>,
@@ -23,7 +23,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Alexander Kjäll <alexander.kjall@gmail.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/hickory-client]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/hickory-client
 Homepage: https://hickory-dns.org/
@@ -56,7 +56,10 @@
  librust-once-cell-1+default-dev (>= 1.18.0-~~),
  librust-radix-trie-0.2+default-dev,
  librust-rand-0.8+default-dev,
- librust-rustls-0.21+default-dev (>= 0.21.6-~~),
+ librust-rustls-0.23+logging-dev,
+ librust-rustls-0.23+ring-dev,
+ librust-rustls-0.23+std-dev,
+ librust-rustls-0.23+tls12-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-thiserror-1+default-dev (>= 1.0.20-~~),
@@ -121,25 +124,25 @@
  librust-hickory-client-0.24+rustls-dev (= ${binary:Version}),
  librust-hickory-client-0.24+serde-dev (= ${binary:Version}),
  librust-hickory-client-0.24+serde-config-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+backtrace-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+default-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dns-over-https-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dns-over-https-openssl-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dns-over-https-rustls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dns-over-native-tls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dns-over-openssl-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dns-over-quic-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dns-over-rustls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dns-over-tls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dnssec-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dnssec-openssl-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+dnssec-ring-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+mdns-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+native-certs-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+rustls-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+serde-dev (= ${binary:Version}),
- librust-hickory-client-0.24.1+serde-config-dev (= ${binary:Version})
+ librust-hickory-client-0.24.4-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+backtrace-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+default-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dns-over-https-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dns-over-https-openssl-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dns-over-https-rustls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dns-over-native-tls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dns-over-openssl-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dns-over-quic-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dns-over-rustls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dns-over-tls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dnssec-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dnssec-openssl-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+dnssec-ring-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+mdns-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+native-certs-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+rustls-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+serde-dev (= ${binary:Version}),
+ librust-hickory-client-0.24.4+serde-config-dev (= ${binary:Version})
 Description: Hickory DNS is a safe and secure DNS library - Rust source code
  This is the Client library with DNSSEC support.  DNSSEC with NSEC validation
  for negative records, is complete. The client supports  dynamic DNS with SIG0
