=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-client 0.24.4 --all-targets --all-features
Features: test-name=rust-hickory-client:@
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-futures-0.3+executor-dev (>= 0.3.5-~~), librust-futures-0.3+std-dev (>= 0.3.5-~~), librust-openssl-0.10+default-dev (>= 0.10.55-~~), librust-openssl-0.10+v102-dev (>= 0.10.55-~~), librust-openssl-0.10+v110-dev (>= 0.10.55-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+env-filter-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-client 0.24.4 --all-targets --no-default-features --features backtrace
Features: test-name=librust-hickory-client-dev:backtrace
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-futures-0.3+executor-dev (>= 0.3.5-~~), librust-futures-0.3+std-dev (>= 0.3.5-~~), librust-openssl-0.10+default-dev (>= 0.10.55-~~), librust-openssl-0.10+v102-dev (>= 0.10.55-~~), librust-openssl-0.10+v110-dev (>= 0.10.55-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+env-filter-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-client 0.24.4 --all-targets
Features: test-name=librust-hickory-client-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.71.1), librust-futures-0.3+executor-dev (>= 0.3.5-~~), librust-futures-0.3+std-dev (>= 0.3.5-~~), librust-openssl-0.10+default-dev (>= 0.10.55-~~), librust-openssl-0.10+v102-dev (>= 0.10.55-~~), librust-openssl-0.10+v110-dev (>= 0.10.55-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+env-filter-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-client 0.24.4 --all-targets --no-default-features --features dns-over-https
Features: test-name=librust-hickory-client-dev:dns-over-https
